Naar hoofdinhoud
invoiceitems

Update an existing invoice item.

PUT
/invoiceitem/{invoiceItemId}
X-API-Keystringheaderverplicht
invoiceItemIdstringverplicht

The id of the invoice item to perform the action on.

Body

application/json

InvoiceItem object.

additional_work_invoice_item_idinteger

The ID of the additional work invoice item that was split off from this invoice item.

additional_work_typestring

Whether this invoice item is additional work (meerwerk), either 'entirely' (the whole line is additional work), 'partially' (part of its quantity was split off into a separate additional work line) or empty.

created_atstring

The date and time this invoice item was created.

customfield1string

A custom field of this invoice item that can be used for any purpose.

customfield2string

A custom field of this invoice item that can be used for any purpose.

customfield3string

A custom field of this invoice item that can be used for any purpose.

customfield4string

A custom field of this invoice item that can be used for any purpose.

customfield5string

A custom field of this invoice item that can be used for any purpose.

datetimestring

The date and time on which the work or delivery of this invoice item took place.

descriptionstring

The description of this invoice item.

discountnumber

The discount (korting) on this invoice item as a percentage of the price, from 0 to 100.

external_idsobject

The IDs of this invoice item in connected third-party applications, keyed by the connection.

idintegerverplicht

The ID of this invoice item.

identifierstring

The identifier that links this invoice item to a price line of its sales & rental (verkoop & verhuur) source.

installment_idinteger

The ID of the installment (termijn) of the order this invoice item belongs to.

invoice_idinteger

The ID of the invoice this invoice item is a line of, empty while it is not invoiced yet.

invoice_item_idinteger

The ID of the grouped line on the invoice that this invoice item is combined into, empty while it is not on an invoice.

item_idinteger

The ID of the item model this invoice item bills (see item_type).

item_pricing_idinteger

The ID of the pricing (tarief) this invoice item is priced with.

item_typestring

The type of the item this invoice item bills, usually 'operation' (werkzaamheid), 'vehicle' (voertuig), 'material' (artikel), 'expense' (kosten), 'user' (buitendienst medewerker), 'subuser' (ingehuurde medewerker) or 'weight_type' (weegsoort), and for surcharges 'fuel_surcharge' or 'pricing_zone'.

order_form_idinteger

The ID of the cost overview (kostenoverzicht) this invoice item is on, if any.

order_form_item_idinteger

The ID of the grouped line on the cost overview that this invoice item is combined into, if any.

order_idinteger

The ID of the order (project) connected to this invoice item.

pricenumber

The unit price of this invoice item in euros, excluding VAT and before discount; multiply it by the quantity to get the line total.

purchase_item_idinteger

The ID of the purchase line that is billed on through this invoice item.

purchase_pricestring

The cost price (kostprijs) per unit of this invoice item in euros, excluding VAT. Returned as a numeric string, e.g. "12.50".

quantitynumber

The quantity of this invoice item.

sort_orderinteger

The position of this invoice item among the invoice items of the same source.

source_idinteger

The ID of the source model this invoice item was created from (see source_type).

source_typestring

The type of the source this invoice item was created from, either 'quote' (offerte), 'task' (bon), 'component' (verkoop & verhuur), 'weighing' (weging), 'client' (klant) or 'order' (project).

substantiationboolean

Whether this invoice item only substantiates (onderbouwing) an installment and is therefore not billed itself.

subuser_idinteger

The ID of the hired-in employee (ingehuurde medewerker) who carried out the work of this invoice item.

unitstring

The unit (eenheid) the price of this invoice item is per, for example 'hour' or 'piece'.

updated_atstring

The date and time this invoice item was last updated.

user_idinteger

The ID of the user (buitendienst medewerker) who carried out the work of this invoice item.

vat_rate_idinteger

The ID of the VAT rate of this invoice item; retrieve the VAT rates to find the percentage.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.